import { ConfigService } from '../config/config.service';
import { AuthDto } from './auth.dto';
import { AuthService } from './auth.service';
export declare class AuthController {
    private readonly authService;
    private readonly configService;
    constructor(authService: AuthService, configService: ConfigService);
    signIn(body: AuthDto): Promise<any>;
    getSettings(req: any): {
        env: {
            canShutdownRestartHost: boolean;
            customWallpaperHash: string;
            dockerOfflineUpdate: boolean;
            homebridgeVersion: string;
            homebridgeInstanceName: string;
            instanceId: string;
            lang: string;
            packageName: any;
            packageVersion: any;
            platform: NodeJS.Platform;
            port: number;
            serviceMode: boolean;
            setupWizardComplete: boolean;
        };
        formAuth: boolean;
        sessionTimeout: number;
        lightingMode: "auto" | "light" | "dark";
        serverTimestamp: string;
        theme: string;
        menuMode: "default" | "freeze";
    } | {
        env: {
            enableAccessories: boolean;
            enableTerminalAccess: boolean;
            nodeVersion: string;
            recommendChildBridges: boolean;
            runningInDocker: boolean;
            runningInSynologyPackage: boolean;
            runningInPackageMode: boolean;
            runningInLinux: boolean;
            runningInFreeBSD: boolean;
            runningOnRaspberryPi: boolean;
            temperatureUnits: string;
            temp: string;
            usePnpm: boolean;
            log: {
                maxSize: number;
                truncateSize: number;
            };
            ssl: {
                key: string;
                cert: string;
                pfx: string;
                passphrase: string;
            };
            accessoryControl: {
                debug: boolean;
                instanceBlacklist: string[];
            };
            plugins: {
                hideUpdatesFor: string[];
            };
            linux: {
                shutdown: string;
                restart: string;
            };
            canShutdownRestartHost: boolean;
            customWallpaperHash: string;
            dockerOfflineUpdate: boolean;
            homebridgeVersion: string;
            homebridgeInstanceName: string;
            instanceId: string;
            lang: string;
            packageName: any;
            packageVersion: any;
            platform: NodeJS.Platform;
            port: number;
            serviceMode: boolean;
            setupWizardComplete: boolean;
        };
        menuMode: "default" | "freeze";
        wallpaper: string;
        host: string;
        proxyHost: string;
        homebridgePackagePath: string;
        disableServerMetricsMonitoring: boolean;
        formAuth: boolean;
        sessionTimeout: number;
        lightingMode: "auto" | "light" | "dark";
        serverTimestamp: string;
        theme: string;
    };
    getCustomWallpaper(): import("fs").ReadStream;
    getToken(): Promise<{
        access_token: string;
        token_type: string;
        expires_in: number;
    }>;
    checkAuth(): {
        status: string;
    };
}
